[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: xorg not working on 2.6.24-1 (smp and single)

On Tue, Jul 15, 2008 at 09:07:05 +0200, Frans Pop wrote:

> Howard Eisenberger wrote:
> > I just came across this message and didn't see a response.
> > Did you find a fix?
> > 
> >> X.Org X Server
> Are you running Debian? 1.4.0 is not a current version in either testing 
> or unstable.

The log had this line just below:
Build Operating System: Linux Debian (xorg-server 2:1.4.1~git20080517-1)


> >> Current Operating System: Linux ULTRA5 2.6.24-1-sparc64-smp #1 SMP Thu
> This is quite likely in some way related to: 
> http://lkml.org/lkml/2008/6/3/147
> I don't think you will get any real help with this unless you first try 
> with at least kernel 2.6.26 (which includes the change referenced in that 
> thread) and xserver 1.4.2.
AIUI that change was made after 2.6.25, so the problem with 2.6.24 is
probably different?

If I understand correctly, the change mentioned in that thread will
break X server versions < 1.5 on kernels > 2.6.25 (which sounds like it
would be a problem for lenny if we go for .26, but anyway).

The problem with 2.6.24 (xf86MapDomainMem() failure) looks like the one
that's been reported as bug #488669, for which help would be
appreciated.  Knowing what kernel broke it would be a good start, I


Reply to: